%define oname   erubis

Name:       ruby-%{oname}
Version:    2.7.0
Release:    %mkrel 9
Summary:    A fast and extensible eRuby implementation which supports multi-language
License:    MIT
Group:      Development/Ruby
URL:        http://www.kuwata-lab.com/erubis/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Erubis is an implementation of eRuby and has the following features:
* Very fast, almost three times faster than ERB and about 10% faster than
eruby.
* Multi-language support (Ruby/PHP/C/Java/Scheme/Perl/Javascript)
* Auto escaping support
* Auto trimming spaces around '<% %>'
* Embedded pattern changeable (default '<% %>')
* Enable to handle Processing Instructions (PI) as embedded pattern (ex.
'<?rb ... ?>')
* Context object available and easy to combine eRuby template with YAML
datafile
* Print statement available
* Easy to extend and customize in subclass
* Ruby on Rails support

%files
%{_bindir}/erubis
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 2.7.0-9.mga4
+ Revision: 561846
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 2.7.0-8.mga4
+ Revision: 561165
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 2.7.0-7.mga4
+ Revision: 535399
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 2.7.0-6.mga4
+ Revision: 481994
- Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 2.7.0-5.mga4
+ Revision: 476464
- Fix file listing, all the gem is now installed

* Fri Feb 08 2013 umeabot <umeabot> 2.7.0-4.mga3
+ Revision: 395893
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.7.0-3.mga3
+ Revision: 380859
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 2.7.0-2.mga3
+ Revision: 312877
- rebuild for new ruby

* Tue Apr 19 2011 shikamaru <shikamaru> 2.7.0-1.mga1
+ Revision: 88793
- new version 2.7.0

* Sat Feb 12 2011 shikamaru <shikamaru> 2.6.6-1.mga1
+ Revision: 51157
- imported package ruby-erubis


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 2.6.6-1
- Initial package
